## dzl-suggestion-popover

dzl-suggestion-popover

## Functions

GtkWidget * | dzl_suggestion_popover_new ()
GtkWidget * | dzl_suggestion_popover_get_relative_to ()
void | dzl_suggestion_popover_set_relative_to ()
void | dzl_suggestion_popover_popup ()
void | dzl_suggestion_popover_popdown ()
GListModel * | dzl_suggestion_popover_get_model ()
void | dzl_suggestion_popover_set_model ()
void | dzl_suggestion_popover_move_by ()
DzlSuggestion * | dzl_suggestion_popover_get_selected ()
void | dzl_suggestion_popover_set_selected ()
void | dzl_suggestion_popover_activate_selected ()

## Properties

DzlSuggestion * | model | Read / Write
GtkWidget * | relative-to | Read / Write
DzlSuggestion * | selected | Read / Write
PangoEllipsizeMode | subtitle-ellipsize | Read / Write
PangoEllipsizeMode | title-ellipsize | Read / Write

## Signals

void | suggestion-activated | Run Last

## Types and Values

#define | DZL_TYPE_SUGGESTION_POPOVER
| DzlSuggestionPopover

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── DzlSuggestionPopover

## Implemented Interfaces

DzlSuggestionPopover implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_suggestion_popover_new ()

    GtkWidget *
    dzl_suggestion_popover_new (void);

### dzl_suggestion_popover_get_relative_to ()

    GtkWidget *
    dzl_suggestion_popover_get_relative_to
                                   (DzlSuggestionPopover *self);

#### Parameters

self | a DzlSuggestionPopover |

#### Returns

A GtkWidget or `NULL`.

[transfer none][nullable]

### dzl_suggestion_popover_set_relative_to ()

    void
    dzl_suggestion_popover_set_relative_to
                                   (DzlSuggestionPopover *self,
                                    GtkWidget *widget);

### dzl_suggestion_popover_popup ()

    void
    dzl_suggestion_popover_popup (DzlSuggestionPopover *self);

### dzl_suggestion_popover_popdown ()

    void
    dzl_suggestion_popover_popdown (DzlSuggestionPopover *self);

### dzl_suggestion_popover_get_model ()

    GListModel *
    dzl_suggestion_popover_get_model (DzlSuggestionPopover *self);

Gets the model being visualized.

#### Parameters

self | a DzlSuggestionPopover |

#### Returns

A GListModel or `NULL`.

[nullable][transfer none]

### dzl_suggestion_popover_set_model ()

    void
    dzl_suggestion_popover_set_model (DzlSuggestionPopover *self,
                                      GListModel *model);

### dzl_suggestion_popover_move_by ()

    void
    dzl_suggestion_popover_move_by (DzlSuggestionPopover *self,
                                    gint amount);

### dzl_suggestion_popover_get_selected ()

    DzlSuggestion *
    dzl_suggestion_popover_get_selected (DzlSuggestionPopover *self);

Gets the currently selected suggestion.

#### Parameters

self | a DzlSuggestionPopover |

#### Returns

An DzlSuggestion or `NULL`.

[transfer none][nullable]

### dzl_suggestion_popover_set_selected ()

    void
    dzl_suggestion_popover_set_selected (DzlSuggestionPopover *self,
                                         DzlSuggestion *suggestion);

### dzl_suggestion_popover_activate_selected ()

    void
    dzl_suggestion_popover_activate_selected
                                   (DzlSuggestionPopover *self);

## Types and Values

### DZL_TYPE_SUGGESTION_POPOVER

    #define DZL_TYPE_SUGGESTION_POPOVER (dzl_suggestion_popover_get_type())

### DzlSuggestionPopover

    typedef struct _DzlSuggestionPopover DzlSuggestionPopover;

## Property Details

### The `“model”` property

      “model”                    DzlSuggestion *

The model to be visualized.

Owner: DzlSuggestionPopover

Flags: Read / Write

### The `“relative-to”` property

      “relative-to”              GtkWidget *

The widget to be relative to.

Owner: DzlSuggestionPopover

Flags: Read / Write

### The `“selected”` property

      “selected”                 DzlSuggestion *

The selected suggestion.

Owner: DzlSuggestionPopover

Flags: Read / Write

### The `“subtitle-ellipsize”` property

      “subtitle-ellipsize”       PangoEllipsizeMode

How to use ellipsis with subtitle.

Owner: DzlSuggestionPopover

Flags: Read / Write

Default value: PANGO_ELLIPSIZE_END

### The `“title-ellipsize”` property

      “title-ellipsize”          PangoEllipsizeMode

How to use ellipsis with title.

Owner: DzlSuggestionPopover

Flags: Read / Write

Default value: PANGO_ELLIPSIZE_END

## Signal Details

### The `“suggestion-activated”` signal

    void
    user_function (DzlSuggestionPopover *dzlsuggestionpopover,
                   DzlSuggestion        *arg1,
                   gpointer              user_data)

Flags: Run Last